> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentbody.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Return API usage summary

> Use this operation to return api usage summary. Authenticate with Authorization: Bearer <AGENTBODY_API_KEY>. Correct a 400 invalid-input error; do not retry unchanged.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/usage/summary
openapi: 3.1.0
info:
  description: >-
    Direct authenticated APIs for public social data, people data, transcripts,
    documents, text, and SEO. Send an API key as a Bearer token. Responses never
    include provider credentials or raw provider payloads.
  license:
    name: Proprietary
    url: https://agentbody.io
  title: AgentBody API
  version: '2026-08-19'
servers:
  - url: https://api.agentbody.io
security:
  - bearerAuth: []
paths:
  /v1/usage/summary:
    get:
      tags:
        - usage
      summary: Return API usage summary
      description: >-
        Use this operation to return api usage summary. Authenticate with
        Authorization: Bearer <AGENTBODY_API_KEY>. Correct a 400 invalid-input
        error; do not retry unchanged.
      operationId: get_v1_usage_summary
      parameters:
        - $ref: '#/components/parameters/From'
        - $ref: '#/components/parameters/To'
      responses:
        '200':
          $ref: '#/components/responses/UsageSummarySuccess'
        '400':
          content:
            application/json:
              example:
                error:
                  code: INVALID_ARGUMENT
                  message: example error
              schema:
                additionalProperties: false
                properties:
                  error:
                    additionalProperties: false
                    properties:
                      code:
                        const: INVALID_ARGUMENT
                        type: string
                      message:
                        type: string
                    required:
                      - code
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Correct the input; do not retry unchanged.
          headers:
            X-Request-Id:
              description: Gateway request identifier for support and audit.
              schema:
                format: uuid
                type: string
        '401':
          content:
            application/json:
              example:
                error:
                  code: UNAUTHENTICATED
                  message: example error
              schema:
                additionalProperties: false
                properties:
                  error:
                    additionalProperties: false
                    properties:
                      code:
                        const: UNAUTHENTICATED
                        type: string
                      message:
                        type: string
                    required:
                      - code
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Configure a valid API key; do not retry unchanged.
          headers:
            X-Request-Id:
              description: Gateway request identifier for support and audit.
              schema:
                format: uuid
                type: string
components:
  parameters:
    From:
      description: Inclusive UTC start time for a usage query, formatted as RFC 3339.
      in: query
      name: from
      schema:
        format: date-time
        type: string
    To:
      description: Exclusive UTC end time for a usage query, formatted as RFC 3339.
      in: query
      name: to
      schema:
        format: date-time
        type: string
  responses:
    UsageSummarySuccess:
      content:
        application/json:
          example:
            available_usd: example_value
            balance_usd: example_value
            by_api: []
            charged_usd: example_value
            failed_requests: 0
            from: '2026-01-01T00:00:00Z'
            key_remaining_usd: example_value
            key_spend_limit_usd: example_value
            key_spent_usd: example_value
            reserved_usd: example_value
            success_requests: 0
            to: '2026-01-31T00:00:00Z'
            total_requests: 0
          schema:
            additionalProperties: false
            properties:
              available_usd:
                type: string
              balance_usd:
                type: string
              by_api:
                items:
                  additionalProperties: false
                  properties:
                    api_id:
                      type: string
                    charged_usd:
                      type: string
                    failed_requests:
                      format: int64
                      minimum: 0
                      type: integer
                    requests:
                      format: int64
                      minimum: 0
                      type: integer
                    success_requests:
                      format: int64
                      minimum: 0
                      type: integer
                  required:
                    - api_id
                    - requests
                    - success_requests
                    - failed_requests
                    - charged_usd
                  type: object
                type: array
              charged_usd:
                type: string
              failed_requests:
                format: int64
                minimum: 0
                type: integer
              from:
                format: date-time
                type: string
              key_remaining_usd:
                type:
                  - string
                  - 'null'
              key_spend_limit_usd:
                type:
                  - string
                  - 'null'
              key_spent_usd:
                type: string
              reserved_usd:
                type: string
              success_requests:
                format: int64
                minimum: 0
                type: integer
              to:
                format: date-time
                type: string
              total_requests:
                format: int64
                minimum: 0
                type: integer
            required:
              - balance_usd
              - reserved_usd
              - available_usd
              - key_spent_usd
              - key_spend_limit_usd
              - key_remaining_usd
              - from
              - to
              - total_requests
              - success_requests
              - failed_requests
              - charged_usd
              - by_api
            type: object
      description: Aggregated usage for this key.
      headers:
        X-Request-Id:
          description: Gateway request identifier for support and audit.
          schema:
            format: uuid
            type: string
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````